Bug 53041

Summary: Change ENABLE_3D_CANVAS to ENABLE_WEBGL
Product: WebKit Reporter: Chris Marrin <cmarrin>
Component: WebGLAssignee: Chris Marrin <cmarrin>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, eric, gns, kbr, mrobinson, rectalogic, webkit.review.bot, xan.lopez, zmo
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 53714    
Attachments:
Description Flags
Patch
none
Patch
eric: review+
Fix build-webkit to use ENABLE_WEBGL
kbr: review-
Fix build-webkit to use ENABLE_WEBGL kbr: review-

Description Chris Marrin 2011-01-24 13:39:11 PST
This will make the source less confusing
Comment 1 Chris Marrin 2011-01-24 15:14:53 PST
Created attachment 79981 [details]
Patch
Comment 2 Eric Seidel (no email) 2011-01-24 15:19:48 PST
Sounds sane to me.
Comment 3 Eric Seidel (no email) 2011-01-24 15:20:10 PST
Comment on attachment 79981 [details]
Patch

rs=me.  You should definitely wait for the EWS bots to pass.
Comment 4 WebKit Review Bot 2011-01-24 15:27:40 PST
Attachment 79981 [details] did not build on gtk:
Build output: http://queues.webkit.org/results/7608329
Comment 5 Martin Robinson 2011-01-24 15:35:27 PST
For GTK+, you also need to change the AM_CONDITIONAL line in configure.ac in the root directory of the repository.
Comment 6 Kenneth Russell 2011-01-24 15:39:03 PST
FYI, http://codereview.chromium.org/6256013 is being landed in Chromium to prevent an interruption in WebGL support when this change lands.
Comment 7 Chris Marrin 2011-01-24 16:03:04 PST
Created attachment 79985 [details]
Patch
Comment 8 Eric Seidel (no email) 2011-01-24 16:04:21 PST
Comment on attachment 79985 [details]
Patch

rs=me.  (Again please let the ews chew this through.)
Comment 9 Chris Marrin 2011-01-24 16:12:03 PST
(In reply to comment #8)
> (From update of attachment 79985 [details])
> rs=me.  (Again please let the ews chew this through.)

Will do. Hopefully I've fixed the GTK problem. I think the other two that didn't run on the first one will pass. But we'll see
Comment 10 Chris Marrin 2011-01-25 09:27:53 PST
Committed r76600: <http://trac.webkit.org/changeset/76600>
Comment 11 Zhenyao Mo 2011-01-25 09:35:05 PST
Committed r76601: <http://trac.webkit.org/changeset/76601>
Comment 12 Zhenyao Mo 2011-01-25 09:39:50 PST
Seems like update-webkit failed to correctly merge the change log, and my patch ended up in the wrong bug.  Should be placed in bug 52338
Comment 13 WebKit Review Bot 2011-01-25 10:49:32 PST
http://trac.webkit.org/changeset/76600 might have broken GTK Linux 64-bit Debug
Comment 14 WebKit Review Bot 2011-01-25 10:49:39 PST
http://trac.webkit.org/changeset/76601 might have broken GTK Linux 64-bit Debug
Comment 15 Andrew Wason 2011-01-29 14:11:11 PST
Created attachment 80571 [details]
Fix build-webkit to use ENABLE_WEBGL

Tools/Scripts/build-webkit needs to change ENABLE_3D_CANVAS to ENABLE_WEBGL.
Comment 16 Kenneth Russell 2011-01-30 20:36:06 PST
Comment on attachment 80571 [details]
Fix build-webkit to use ENABLE_WEBGL

Could you please regenerate this patch using the prepare-ChangeLog and svn-create-patch scripts described in http://webkit.org/coding/contributing.html ?

It might also be helpful to file a new bug report and point it at this one, just so the dependency chain can be tracked.
Comment 17 Andrew Wason 2011-01-31 07:39:04 PST
Created attachment 80641 [details]
Fix build-webkit to use ENABLE_WEBGL

regenerate patch using prepare-ChangeLog and svn-create-patch scripts
Comment 18 Kenneth Russell 2011-01-31 23:11:19 PST
Comment on attachment 80641 [details]
Fix build-webkit to use ENABLE_WEBGL

Looks okay to me. Let's let the commit queue process it.
Comment 19 Andrew Wason 2011-02-03 13:44:22 PST
(In reply to comment #18)
> Looks okay to me. Let's let the commit queue process it.

I still don't see this patch in the queue - maybe it won't queue it because this bug is closed?
Comment 20 Kenneth Russell 2011-02-03 13:48:25 PST
(In reply to comment #19)
> (In reply to comment #18)
> > Looks okay to me. Let's let the commit queue process it.
> 
> I still don't see this patch in the queue - maybe it won't queue it because this bug is closed?

It's possible. Would you please file a new bug and regenerate the patch against it? It will make tracking this change easier.
Comment 21 Andrew Wason 2011-02-03 14:09:46 PST
(In reply to comment #20)
> It's possible. Would you please file a new bug and regenerate the patch against it? It will make tracking this change easier.

Created bug 53714
Comment 22 Eric Seidel (no email) 2011-02-03 16:41:52 PST
The queue does not process patches on closed bugs.  You could re-open the bug and the queue would see it though.
Comment 23 Kenneth Russell 2011-02-03 16:44:07 PST
(In reply to comment #22)
> The queue does not process patches on closed bugs.  You could re-open the bug and the queue would see it though.

Thanks, I didn't know that. I think it would be best to apply the patch under the new bug and will review it shortly.
Comment 24 Kenneth Russell 2011-02-03 16:44:37 PST
Comment on attachment 80641 [details]
Fix build-webkit to use ENABLE_WEBGL

Will review the patch on the new bug.